
Foreman - Bug #11741

Config group host counter not incremented on host creation with association

09/09/2015 05:04 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a host with a config group associated, the hosts counter on the config groups list is not updated.  It does get updated

if the config group is associated after the host is created.

It appears that the after_add hook in app/models/concerns/host_common.rb performs a search for hosts with the config group during

the host creation, so this won't pick up the host that's in the process of being created.

Related issues:

Related to Foreman - Bug #12193: Deadlock occuring when creating host Closed 10/16/2015

History

#1 - 09/09/2015 09:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2696 added

- Pull request deleted ()

#2 - 09/09/2015 09:58 AM - Tom Caspy

- Assignee set to Tom Caspy

#3 - 03/16/2016 05:34 AM - Tomer Brisker

- Status changed from Ready For Testing to New

- Assignee deleted (Tom Caspy)

- Pull request deleted (https://github.com/theforeman/foreman/pull/2696)

#4 - 08/31/2016 04:00 AM - Tomer Brisker

- Status changed from New to Resolved

cached counters have been removed in #12193 and this should be resolved now as the count is calculated on the fly when needed.

#5 - 08/31/2016 04:00 AM - Tomer Brisker

- Related to Bug #12193: Deadlock occuring when creating host added
